"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ReadPreset_1 = require("../model/operations/ReadPreset");
var ReadPresetCommand = /** @class */ (function () {
    function ReadPresetCommand(input) {
        this.input = input;
        this.model = ReadPreset_1.ReadPreset;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ReadPresetCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ReadPresetCommand;
}());
exports.ReadPresetCommand = ReadPresetCommand;
//# sourceMappingURL=ReadPresetCommand.js.map