"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreatePresetInput_1 = require("../shapes/CreatePresetInput");
var CreatePresetOutput_1 = require("../shapes/CreatePresetOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreatePreset = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreatePreset",
    http: {
        method: "POST",
        requestUri: "/2012-09-25/presets"
    },
    input: {
        shape: CreatePresetInput_1.CreatePresetInput
    },
    output: {
        shape: CreatePresetOutput_1.CreatePresetOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=CreatePreset.js.map