"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ReadPresetInput_1 = require("../shapes/ReadPresetInput");
var ReadPresetOutput_1 = require("../shapes/ReadPresetOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var IncompatibleVersionException_1 = require("../shapes/IncompatibleVersionException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var AccessDeniedException_1 = require("../shapes/AccessDeniedException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ReadPreset = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ReadPreset",
    http: {
        method: "GET",
        requestUri: "/2012-09-25/presets/{Id}"
    },
    input: {
        shape: ReadPresetInput_1.ReadPresetInput
    },
    output: {
        shape: ReadPresetOutput_1.ReadPresetOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: IncompatibleVersionException_1.IncompatibleVersionException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: AccessDeniedException_1.AccessDeniedException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        }
    ]
};
//# sourceMappingURL=ReadPreset.js.map