"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ElasticTranscoderClient_1 = require("../../ElasticTranscoderClient");
var ListPresetsCommand_1 = require("../../commands/ListPresetsCommand");
var ReadJobCommand_1 = require("../../commands/ReadJobCommand");
describe("@aws-sdk/client-elastic-transcoder-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListPresets should succeed when given correct input", function (done) {
        var client = new ElasticTranscoderClient_1.ElasticTranscoderClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listPresets = new ListPresetsCommand_1.ListPresetsCommand({});
        client
            .send(listPresets)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("ReadJob should fail when given bad input", function (done) {
        var client = new ElasticTranscoderClient_1.ElasticTranscoderClient({
            region: defaultRegion,
            credentials: credentials
        });
        var readJob = new ReadJobCommand_1.ReadJobCommand({
            Id: "fake_job"
        });
        client
            .send(readJob)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map